For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order API

Create Shopify orders with credit automatically applied with the Shopwaive Order API

Good to know: This API method provides developers the ability to expedite cart creation with a direct link to checkout with stacked discounts (i.e. line items discounted with promo and credit applied). Gift cards can also be optionally applied at checkout.

GET orders endpoint

Search and filter customer orders by including any combination of query key value pairs id,email,created_at_min, or created_at_max appended to the /api/orders endpoint. A maximum of 250 records per request are returned in the response body. Dates should use ISOString format when appended as a query string, for example, new Date().toISOString().

// Example date and email constrained request

https://app.shopwaive.com/api/orders?email=support@shopwaive.com&created_at_min=2024-09-22T04:51:20.144Z&created_at_max=2024-09-22T19:14:22.688Z

Get orders

get
Authorizations
X-Shopwaive-Access-TokenstringRequired
Responses
200

Successfully fetched orders

application/json
get/api/orders
GET /api/orders HTTP/1.1
Host: app.shopwaive.com
X-Shopwaive-Access-Token: YOUR_API_KEY
Accept: */*
[]

POST order endpoint

Create customer order

post
Authorizations
X-Shopwaive-Access-TokenstringRequired
Body
customeridnumberRequiredExample: 6659662610648
free_shippingbooleanOptionalExample: true
tagsstringOptionalExample: New customer, Shopwaive Credit, Marketing promo, Exclusive
descriptionstringRequiredExample: Shopwaive Credit
amountnumberRequiredExample: 450
Responses
200

Successfully created customer checkout url

application/json
post/api/order
POST /api/order HTTP/1.1
Host: app.shopwaive.com
X-Shopwaive-Access-Token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 194

{
  "customerid": "6659662610648",
  "free_shipping": true,
  "tags": "New customer, Shopwaive Credit, Marketing promo, Exclusive",
  "order_notes": [],
  "description": "Shopwaive Credit",
  "amount": "450",
  "cart": []
}
{
  "status": "success",
  "checkout_url": "https://example.myshopify.com/60557656280/invoices/INVOICE_KEY"
}
key
value

X-Shopwaive-Access-Token

Your Shopwaive API key (required)

X-Shopwaive-Platform

shopify (required)

Content-Type

Content type

Request Body

key
value

customerid

Customer id associated with store's platform

free_shipping

Boolean

tags

Tags to apply to order

order_notes

Additional details or notes to apply to order

description

Description of credit applied (i.e. Shopwaive Credit)

amount

Amount of credit to apply to order

cart

Customer cart associated with order

Response Body

key
value

status

Status message

checkout_url

Checkout url to be used by customer for payment

Last updated

Was this helpful?